@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400;600&display=swap');

body {
    margin: 0;
    font-family: "Cinzel", serif;
    color: #e8dcc2;
    cursor: url("../Pictures/meilingsmall.png"), auto;

    opacity: 1;
    transform: translateY(0);

    overflow: hidden;

    transition:
        opacity 0.25s ease,
        transform 0.25s ease;
}

body.fade-out {
    opacity: 0;
    transform: translateY(8px);
}

.archive-container {
    display: flex;
    flex-direction: column;
    align-items: center;

    padding: 30px 20px;
}

.title {
    color: #d8c28a;

    margin-bottom: 40px;

    letter-spacing: 2px;
}

.scroll {
    width: 80%;
    max-width: 900px;

    height: 450px;

    overflow-y: auto;

    border: 1px solid rgba(216, 194, 138, 0.3);

    padding: 20px;

    box-sizing: border-box;

    box-shadow:
        0 0 15px rgba(216, 194, 138, 0.25),
        0 0 35px rgba(216, 194, 138, 0.12);

    scrollbar-width: none;
}

.scroll::-webkit-scrollbar {
    display: none;
}

/*Each entry card*/
.entry {
    position: relative;
    z-index: 1;

    overflow: hidden;

    border-left: 3px solid #d8c28a;

    margin-bottom: 12px;

    padding: 20px 26px;

    min-height: 80px;

    display: flex;
    flex-direction: column;
    justify-content: center;

    background-size: contain;
    background-repeat: no-repeat;
    background-position: right center;

    transition: transform 0.2s ease;
}

.entry::before {
    content: "";

    position: absolute;
    inset: 0;

    background: rgba(0,0,0,0.1);

    z-index: 0;
}

.entry:hover {
    transform: translateX(5px);
    box-shadow: 0 0 12px rgba(216, 194, 138, 0.25);
}

.entry h2,
.entry p {
    position: relative;
    z-index: 1;
}

.entry h2 {
    margin: 0 0 4px 0;

    color: #d8c28a;

    font-size: 1.1rem;
}

.entry p {
    margin: 0;

    line-height: 1.3;

    font-size: 0.9rem;
}

.entry a {
    display: block;
    color: inherit;  
    text-decoration: none;  
}

.entry a:visited {
    color: inherit;
}

/* =========================
   BACKGROUND IMAGES
========================= */

.review1 {
    background-image: url("../Pictures/Thumbnails/ytpfp.png");
}

.review2 {
    background-image: url("../Pictures/Thumbnails/kaggg2.png");
}

.review3 {
    background-image: url("../Pictures/Thumbnails/miko.png");
}

.review4 {
    background-image: url("../Pictures/Thumbnails/Moon.jpg");
}